下载
关闭菜单 -

Upcoming RSKj release: Solidity 0.5.0 compatibility upgrade

It’s among our best interests to provide compatibility with Ethereum smart contracts, and we work hard everyday to accomplish this goal. Our partners play a key role discovering and reporting misalignments between platforms. Thanks to the latter, we’ve recently discovered some incompatibilities between RSK VM and contracts written in Solidity versions 0.5.0 and higher. We’re very close to having a new RSKj version released, which solves these incompatibilities. In the meantime, we urge smart contract developers not to deploy in RSK Mainnet contracts written in Solidity versions 0.5.0 and higher, until further notice. We expect this to happen in the following two weeks.

Thanks again to our partners and developer community for helping us make our platform better. If you’re working on RSK and want to report incompatibility findings, please contact us through our Gitter channel, by e-mail or directly creating an issue in our Github page.